Package com.io7m.cardant.model

# Record Class CATypeField

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CATypeField

Record Components:
  `name` - The field name
  `description` - The field description
  `type` - The scalar type
  `isRequired` - `true` if the field must be present

public record CATypeField(com.io7m.lanark.core.RDottedName name, String description, CATypeScalarType type, boolean isRequired) extends Record
A field in a type declaration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CATypeField(com.io7m.lanark.core.RDottedName name, String description, CATypeScalarType type, boolean isRequired)`
  A field in a type declaration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `description()`
  Returns the value of the `description` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isRequired()`
  Returns the value of the `isRequired` record component.
  `com.io7m.lanark.core.RDottedName`
  `name()`
  Returns the value of the `name` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `CATypeScalarType`
  `type()`
  Returns the value of the `type` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CATypeField

    public CATypeField(com.io7m.lanark.core.RDottedName name, String description, CATypeScalarType type, boolean isRequired)
    A field in a type declaration.
    Parameters:
      `name` - The field name
      `description` - The field description
      `type` - The scalar type
      `isRequired` - `true` if the field must be present

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### name

    public com.io7m.lanark.core.RDottedName name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### description

    public String description()
    Returns the value of the `description` record component.
    Returns:
      the value of the `description` record component

  - ### type

    public CATypeScalarType type()
    Returns the value of the `type` record component.
    Returns:
      the value of the `type` record component

  - ### isRequired

    public boolean isRequired()
    Returns the value of the `isRequired` record component.
    Returns:
      the value of the `isRequired` record component